import { jsx as o, Fragment as s } from "@emotion/react/jsx-runtime";
import { useModuleDictionary as m } from "@m4l/core";
import { ActionsSortAscOutlined as l, ActionsSortDescOutlined as a } from "@m4l/icons";
import { useMemo as c } from "react";
import { getDynamicSortDictionary as r, DICCTIONARY as p } from "../../../dictionary.js";
import d from "../../DynamicSortBase/useDynamicSortBase.js";
import { Icon as e } from "../../../../Icon/Icon.js";
import { RHFSelect as f } from "../../../../hook-form/RHFSelect/RHFSelect.js";
function z() {
  const { getLabel: t } = m(), { size: i } = d(), n = c(
    () => [
      {
        id: "asc",
        label: t(r("label_ascending")),
        startAdornment: /* @__PURE__ */ o(e, { size: "small", src: /* @__PURE__ */ o(l, {}) })
      },
      {
        id: "desc",
        label: t(r("label_descending")),
        startAdornment: /* @__PURE__ */ o(e, { size: "small", src: /* @__PURE__ */ o(a, {}) })
      }
    ],
    [t]
  );
  return /* @__PURE__ */ o(s, { children: /* @__PURE__ */ o(
    f,
    {
      size: i,
      name: "formValueOperator",
      options: n,
      label: t(r(p.input_placeholder))
    }
  ) });
}
export {
  z as StringSort
};
